Package org.kie.api.runtime.conf

# Class PersistedSessionOption

java.lang.Object
org.kie.api.runtime.conf.PersistedSessionOption

All Implemented Interfaces:
  `Serializable`, `Option`, `SingleValueOption`, `KieSessionOption`, `SingleValueKieSessionOption`

public class PersistedSessionOption extends Object implements SingleValueKieSessionOption
A class for the session persistence configuration.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `PersistedSessionOption.ActivationStrategy`
  NONE : On restoring a session, filter firing based on StoredObject.isPropagated ACTIVATION_KEY : On restoring a session, filter firing based on StoredObject.isPropagated and persisted ActivationKey
  `static enum`
  `PersistedSessionOption.PersistenceObjectsStrategy`
  `static enum`
  `PersistedSessionOption.PersistenceStrategy`
  `static enum`
  `PersistedSessionOption.SafepointStrategy`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROPERTY_NAME`
  The property name for the clock type configuration

  ### Fields inherited from interface org.kie.api.runtime.conf.KieSessionOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `static PersistedSessionOption`
  `fromSession(long sessionId)`
  `PersistedSessionOption.ActivationStrategy`
  `getActivationStrategy()`
  `PersistedSessionOption.PersistenceObjectsStrategy`
  `getPersistenceObjectsStrategy()`
  `PersistedSessionOption.PersistenceStrategy`
  `getPersistenceStrategy()`
  `String`
  `getPropertyName()`
  `PersistedSessionOption.SafepointStrategy`
  `getSafepointStrategy()`
  `long`
  `getSessionId()`
  `int`
  `hashCode()`
  `boolean`
  `isNewSession()`
  `static PersistedSessionOption`
  `newSession()`
  `String`
  `toString()`
  `PersistedSessionOption`
  `withActivationStrategy(PersistedSessionOption.ActivationStrategy activationStrategy)`
  `PersistedSessionOption`
  `withPersistenceObjectsStrategy(PersistedSessionOption.PersistenceObjectsStrategy persistenceObjectsStrategy)`
  `PersistedSessionOption`
  `withPersistenceStrategy(PersistedSessionOption.PersistenceStrategy persistenceStrategy)`
  `PersistedSessionOption`
  `withSafepointStrategy(PersistedSessionOption.SafepointStrategy safepointStrategy)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.runtime.conf.KieSessionOption

  `type`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the clock type configuration
    See Also:
      - Constant Field Values

- ## Method Details

  - ### newSession

    public static PersistedSessionOption newSession()

  - ### fromSession

    public static PersistedSessionOption fromSession(long sessionId)

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`
    Returns:
      the property name for this option

  - ### getSessionId

    public long getSessionId()

  - ### getPersistenceStrategy

    public PersistedSessionOption.PersistenceStrategy getPersistenceStrategy()

  - ### getPersistenceObjectsStrategy

    public PersistedSessionOption.PersistenceObjectsStrategy getPersistenceObjectsStrategy()

  - ### withPersistenceObjectsStrategy

    public PersistedSessionOption withPersistenceObjectsStrategy(PersistedSessionOption.PersistenceObjectsStrategy persistenceObjectsStrategy)

  - ### withPersistenceStrategy

    public PersistedSessionOption withPersistenceStrategy(PersistedSessionOption.PersistenceStrategy persistenceStrategy)

  - ### getSafepointStrategy

    public PersistedSessionOption.SafepointStrategy getSafepointStrategy()

  - ### withSafepointStrategy

    public PersistedSessionOption withSafepointStrategy(PersistedSessionOption.SafepointStrategy safepointStrategy)

  - ### getActivationStrategy

    public PersistedSessionOption.ActivationStrategy getActivationStrategy()

  - ### withActivationStrategy

    public PersistedSessionOption withActivationStrategy(PersistedSessionOption.ActivationStrategy activationStrategy)

  - ### isNewSession

    public boolean isNewSession()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`